Index: src/webapp/components/inlineEdit/js/InlineEditIntegrations.js
===================================================================
--- src/webapp/components/inlineEdit/js/InlineEditIntegrations.js	(revision 7635)
+++ src/webapp/components/inlineEdit/js/InlineEditIntegrations.js	(working copy)
@@ -23,7 +23,7 @@
 (function ($, fluid) {
 
     var configureInlineEdit = function (configurationName, container, options) {
-        var assembleOptions = $.extend({}, fluid.defaults(configurationName), options);
+        var assembleOptions = $.extend(true, {}, fluid.defaults(configurationName), options);
         return fluid.inlineEdit(container, assembleOptions);
     };
 
@@ -36,7 +36,9 @@
      * @param {Object} options configuration options for the components
      */
     fluid.inlineEdit.tinyMCE = function (container, options) {
-        return configureInlineEdit("fluid.inlineEdit.tinyMCE", container, options);
+        var inlineEditor = configureInlineEdit("fluid.inlineEdit.tinyMCE", container, options);
+        tinyMCE.init(inlineEditor.options.tinyMCE);
+        return inlineEditor;
     };
         
     fluid.inlineEdit.tinyMCE.viewAccessor = function (editField) {
@@ -95,11 +97,7 @@
    
    
     fluid.inlineEdit.tinyMCE.editModeRenderer = function (that) {
-        var defaultOptions = {
-            mode: "exact", 
-            theme: "simple"
-        };
-        var options = $.extend(true, defaultOptions, that.options.tinyMCE);
+        var options = that.options.tinyMCE;
         options.elements = fluid.allocateSimpleId(that.editField);
         var oldinit = options.init_instance_callback;
         
@@ -115,6 +113,11 @@
     
       
     fluid.defaults("fluid.inlineEdit.tinyMCE", {
+        tinyMCE: {
+            mode: "exact", 
+            theme: "simple"
+        },
+        
         useTooltip: true,
         selectors: {
             edit: "textarea" 
